/* Variables */
/* Base */

.loader {
    width: 150px;
    height: 150px;
    display: block;
    /*vertical-align: middle;*/
    position: absolute;
    /*margin: 50vh auto 0 auto;*/
    left: 45%;
    top: 45vh;
    opacity: 1;
}

.hide_loader {
    width: 150px;
    height: 150px;
    display: block;
    position: absolute;
    left: 45%;
    top: 45vh;
    opacity: 0;
    animation: hide_loading_circle 1000ms ease-in-out;
    animation-iteration-count:1;
}


.loader-circles {
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color: #008c44;
    -webkit-animation: spin 1s linear infinite;
    -moz-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite; }
.loader-circles:before {
    content: '';
    position: absolute;
    top: 20px;
    left: 20px;
    bottom: 20px;
    right: 20px;
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color: #ff0000;
    opacity: 0.8;
    -webkit-animation: spin 10s linear infinite;
    -moz-animation: spin 10s linear infinite;
    animation: spin 10s linear infinite; }

.loader-circles:after {
    content: '';
    position: absolute;
    top: 30px;
    left: 30px;
    bottom: 30px;
    right: 30px;
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color: #0900b2;
    opacity: 0.8;
    -webkit-animation: spin 10s linear infinite;
    -moz-animation: spin 10s linear infinite;
    animation: spin 10s linear infinite; }

.loader-circles:before {
    top: 12px;
    left: 12px;
    bottom: 12px;
    right: 12px;
    opacity: .5;
    -webkit-animation: spin 5s linear infinite;
    -moz-animation: spin 5s linear infinite;
    animation: spin 5s linear infinite; }



/* Animations */
@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg); }

    to {
        -webkit-transform: rotate(360deg); } }
@-moz-keyframes spin {
    from {
        -moz-transform: rotate(0deg); }

    to {
        -moz-transform: rotate(360deg); } }
@keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg); }

    to {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg); } }
@-webkit-keyframes spinreverse {
    from {
        -webkit-transform: rotate(0deg); }

    to {
        -webkit-transform: rotate(-360deg); } }
@-moz-keyframes spinreverse {
    from {
        -moz-transform: rotate(0deg); }

    to {
        -moz-transform: rotate(-360deg); } }
@keyframes spinreverse {
    from {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg); }

    to {
        -webkit-transform: rotate(-360deg);
        -moz-transform: rotate(-360deg);
        -ms-transform: rotate(-360deg);
        -o-transform: rotate(-360deg);
        transform: rotate(-360deg); } }
@-webkit-keyframes grow {
    0% {
        -webkit-transform: scaleY(0);
        opacity: 0; }

    50% {
        -webkit-transform: scaleY(1);
        opacity: 1; }

    100% {
        -webkit-transform: scaleY(0);
        opacity: 0; } }
@-moz-keyframes grow {
    0% {
        -moz-transform: scaleY(0);
        opacity: 0; }

    50% {
        -moz-transform: scaleY(1);
        opacity: 1; }

    100% {
        -moz-transform: scaleY(0);
        opacity: 0; } }
@keyframes grow {
    0% {
        -webkit-transform: scaleY(0);
        -moz-transform: scaleY(0);
        -ms-transform: scaleY(0);
        -o-transform: scaleY(0);
        transform: scaleY(0);
        opacity: 0; }

    50% {
        -webkit-transform: scaleY(1);
        -moz-transform: scaleY(1);
        -ms-transform: scaleY(1);
        -o-transform: scaleY(1);
        transform: scaleY(1);
        opacity: 1; }

    100% {
        -webkit-transform: scaleY(0);
        -moz-transform: scaleY(0);
        -ms-transform: scaleY(0);
        -o-transform: scaleY(0);
        transform: scaleY(0);
        opacity: 0; } }
@-webkit-keyframes shatter {
    0% {
        -webkit-transform: scale(0); }

    50% {
        -webkit-transform: scale(0.5); }

    65% {
        -webkit-transform: scale(0.4);
        background-color: white;
        border-width: 0px; }

    90% {
        background-color: rgba(255, 255, 255, 0);
        opacity: 1; }

    100% {
        -webkit-transform: scale(1);
        border-width: 1px;
        background-color: transparent;
        opacity: 0; } }
@-moz-keyframes shatter {
    0% {
        -moz-transform: scale(0); }

    50% {
        -moz-transform: scale(0.5); }

    65% {
        -moz-transform: scale(0.4);
        background-color: white;
        border-width: 0px; }

    90% {
        background-color: rgba(255, 255, 255, 0);
        opacity: 1; }

    100% {
        -moz-transform: scale(1);
        border-width: 1px;
        background-color: transparent;
        opacity: 0; } }
@keyframes shatter {
    0% {
        -webkit-transform: scale(0);
        -moz-transform: scale(0);
        -ms-transform: scale(0);
        -o-transform: scale(0);
        transform: scale(0); }

    50% {
        -webkit-transform: scale(0.5);
        -moz-transform: scale(0.5);
        -ms-transform: scale(0.5);
        -o-transform: scale(0.5);
        transform: scale(0.5); }

    65% {
        -webkit-transform: scale(0.4);
        -moz-transform: scale(0.4);
        -ms-transform: scale(0.4);
        -o-transform: scale(0.4);
        transform: scale(0.4);
        background-color: white;
        border-width: 0px; }

    90% {
        background-color: rgba(255, 255, 255, 0);
        opacity: 1; }

    100% {
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
        transform: scale(1);
        border-width: 1px;
        background-color: transparent;
        opacity: 0; } }











.loading_logo{
    width: 200px;
    height: 200px;
    opacity: 0;
    position: relative;
    z-index: 9;
    display: block;
    margin: 50vh auto 0 auto ;
    /*background: #000;*/
}
.show_loading_logo{
    width: 200px;
    height: 200px;
    opacity: 1;
    position: relative;
    z-index: 9;
    display: block;
    margin: 45vh auto 0 auto ;
    /*background: #000;*/
    animation: show_loading_logo 500ms ease-out ;
    animation-iteration-count:1;
}

.show_text_logo{
    width: 200px;
    height: 200px;
    opacity: 1;
    position: relative;
    z-index: 9;
    display: block;
    margin: 35vh auto 0 auto ;
    background: #000;
    animation: show_text_logo 500ms ease-in-out ;
    animation-iteration-count:1;
}

.loading_logo_text{
    width: 200px;
    height: 60px;
    opacity: 0;
    position: absolute;
    z-index: 7;
    left: 50%;
    top: 50vh;
    transform: translateX(-50%) ;
    background: #000;
}

.show_loading_logo_text{
    width: 200px;
    height: 60px;
    opacity: 1;
    position: absolute;
    z-index: 7;
    left: 50%;
    top: 60vh;
    transform: translateX(-50%) ;
    background: #000;
    animation: show_text 500ms ease-in-out ;
    animation-iteration-count:1;
}

@keyframes hide_loading_circle {
    from{
        opacity: 1;
    }
    to{
        opacity: 0;
    }
}

@keyframes show_loading_logo {
    from{
        transform: rotate(270deg) ;
        opacity: 0;
    }
    to{
        transform: rotate(360deg) ;
        opacity: 1;
    }
}


@keyframes show_text_logo {
    from{
        margin: 45vh auto 0 auto ;
    }
    to{
        margin: 35vh auto 0 auto ;
    }
}
@keyframes show_text {
    from{
        opacity: 1;
        top: 50vh;
    }
    to{
        opacity: 1;
        top: 60vh;
    }
}








.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}

.btn.btn-success {
    color: #fff;
    background-color: #3498db;
    border-color: #3498db;
    box-shadow: 0 2px 2px 0 rgba(100, 141, 175, 0.14), 0 3px 1px -2px rgba(52, 60, 175, 0.2), 0 1px 5px 0 rgba(77, 110, 175, 0.12);
}

.btn, .btn.btn-default {
    color: #fff;
    background-color: #999999;
    border-color: #999999;
    box-shadow: 0 2px 2px 0 rgba(153, 153, 153, 0.14), 0 3px 1px -2px rgba(153, 153, 153, 0.2), 0 1px 5px 0 rgba(153, 153, 153, 0.12);
}

.btn {
    position: relative;
    padding: 12px 30px;
    margin: 0.3125rem 1px;
    font-size: .75rem;
    font-weight: 400;
    line-height: 1.42857;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 0;
    cursor: pointer;
    background-color: transparent;
    border: 0;
    border-radius: 0.2rem;
    outline: 0;
    transition: box-shadow 0.2s cubic-bezier(0.4, 0, 1, 1), background-color 0.2s cubic-bezier(0.4, 0, 0.2, 1);
    will-change: box-shadow, transform;
}

.btn-success {
    color: #ffffff;
    background-color: #3498db;
    border-color: #3498db;
    box-shadow: none;
}

.btn.btn-success:focus, .btn.btn-success:active, .btn.btn-success:hover {
    box-shadow: 0 14px 26px -12px rgba(78, 96, 175, 0.42), 0 4px 23px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(101, 97, 175, 0.2);
}

.btn.btn-success:focus, .btn.btn-success.focus, .btn.btn-success:hover {
    color: #2f5ea2;
    background-color: #ffffff;
    border-color: #2f5ea2;
}

.btn.btn-success:hover {
    color: #2f5ea2;
    background-color: #ffffff;
    border-color: #2f5ea2;
}

.btn.btn-danger:focus, .btn.btn-danger:active, .btn.btn-danger:hover {
    box-shadow: 0 14px 26px -12px rgba(244, 67, 54, 0.42), 0 4px 23px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(244, 67, 54, 0.2);
}

.btn.btn-danger:focus, .btn.btn-danger.focus, .btn.btn-danger:hover {
    color: #fff;
    background-color: #f33527;
    border-color: #e11b0c;
}

.btn-danger {
    color: #ffffff;
    background-color: #f44336;
    border-color: #f44336;
    box-shadow: none;
}

.btn-danger:hover {
    color: #ffffff;
    background-color: #f22112;
    border-color: #ea1c0d;
}

.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: 0.46875rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}